1. Bank Statement Analysis
FinEye Financial Analysis Suite
  • Bank Statement Analysis
    • Generate Session ID
      POST
    • Upload
      POST
    • Start Analysis
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Data Parsing
    • Generate Session ID
      POST
    • Upload
      POST
    • Pre Analysis
      POST
    • Data Parsing
      POST
    • Pre Analysis with Data Parsing
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Account Aggregator
    • Consent Generate URL
      POST
    • FIU Fetch Consent Customer
      GET
    • FIU Fetch Consent
      GET
    • Generate Session from Consent ID
      POST
    • Fetch Session Data
      POST
  • GST Analysis
    • Generate Session ID
      POST
  1. Bank Statement Analysis

Start Analysis

BSA Prod
https://analysis.fineye.co
BSA Prod
https://analysis.fineye.co
POST
https://analysis.fineye.co
/startAnalysis
Starts the analysis process for all documents uploaded in the specified session. The system checks file completeness before initiating OCR and financial analysis.

Response Codes#

Status CodeBillableMessage
OKRESNoStatement uploaded successfully
NODTENoStatement start date and end date not found in the statement provided
NOFILNoNo files found for the given reference ID. Please upload the files again.
MTOACNoMore than 1 account found in bank statements
FCEXXNoFile count exceeded for multiple files
ONSAVNoOnly Savings account statements are supported.
NOBNKNoWe could not detect the bank from the uploaded file. Please check if it is a valid file and try again.
SESEXNoExpired sessionId
INSESNoInvalid sessionId
NOSCNNoStatement is scanned image.
PARMSNoParameter missing
ISERRNoInternal server error
AUTHMNoAuthkey missing or invalid
NOPRVNoYour account does not have the required privilege to access this API
RLEXXNoRequest limit exceeded
IPNTWNoIP Address not whitelisted

Request

Header Params

Body Params application/json

Examples

Responses

⚪0startAnalysis
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://analysis.fineye.co/startAnalysis' \
--header 'authkey;' \
--header 'Content-Type: application/json' \
--data '{
    "session_id": ""
}'
Response Response Example
{
    "api_category": "Financial Analysis Suite",
    "api_name": "FinEye - startAnalysis",
    "datetime": "2025-05-27 21:17:20.478116",
    "message": "Analysis Started Successfully",
    "session_id": "referenceID_QairWRXtPIRcdlzWpdVh",
    "status": "OKRES",
    "txn_id": "db39b58d-5cf7-42d5-b0e9-02d972ac9127"
}
Modified at 2026-07-03 08:22:18
Previous
Upload
Next
Check Status
Built with